﻿@model WorkspaceModel
@{
    var adminRole = Model.WorkspaceRoles.FirstOrDefault(x => x.Name == "Admin");
}
<div>
    <h4 class="mb-4">Access Control</h4>
    <div class="row align-item-center">

        <div class="col-sm-12 col-md-10 col-lg-8 mb-4">
            <h6 class="form-label mb-3">Select Role</h6>
            <div>
                <select class="form-select w-50" onchange="getRolePermission(event)">
                    @foreach (var availableRole in Model.WorkspaceRoles)
                    {
                        var isSelected = adminRole.Id == availableRole.Id;
                        <option value="@availableRole.Permission.Id" selected="@isSelected"> @availableRole.Name </option>
                    }
                </select>
            </div>
        </div>

    </div>
    <div class="col-sm-12 col-md-10 col-lg-8 mb-3">
        <h6 class="form-label">Permissions</h6>
        <div id="role-permission-table">
            @await Html.PartialAsync("_RolePermissionTable", adminRole.Permission)
        </div>
    </div>
</div>